%define up_name libqaccessibilityclient

Name:           libqaccessibilityclient-qt5
Version:        0.4.1
Release:        %mkrel 1
Summary:        Accessibilty tools helper library
Group:          Graphical desktop/KDE5
License:        LGPLv2+
URL:            https://cgit.kde.org/libqaccessibilityclient.git/
Source0:        https://download.kde.org/stable/%{up_name}/%{up_name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)


%description
Helper to make writing accessibility tools easier.

%files
%{_bindir}/accessibleapps
%{_bindir}/dumper

#--------------------------------------------------------------------

%define libqaccessibilityclient_qt5_major 0
%define libqaccessibilityclient_qt5 %mklibname qaccessibilityclient-qt5_ %{libqaccessibilityclient_qt5_major}

%package -n %{libqaccessibilityclient_qt5}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libqaccessibilityclient_qt5}
Runtime library for %{name}.
 
%files -n %{libqaccessibilityclient_qt5}
%{_libdir}/libqaccessibilityclient-qt5.so.%{libqaccessibilityclient_qt5_major}*

#----------------------------------------------------------------------

%define libqaccessibilityclient_qt5_devel %mklibname qaccessibilityclient-qt5 -d

%package -n %{libqaccessibilityclient_qt5_devel}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libqaccessibilityclient_qt5} = %{version}-%{release}
Provides:       qaccessibilityclient-qt5-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libqaccessibilityclient_qt5_devel}
Development files for %{name}.

%files -n %{libqaccessibilityclient_qt5_devel}
%{_libdir}/libqaccessibilityclient-qt5.so
%{_includedir}/qaccessibilityclient/
%{_libdir}/cmake/QAccessibilityClient/

#---------------------------------------------------------------------

%prep
%setup -q -n %{up_name}-%{version}
%apply_patches

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Wed Feb 16 2021 tex - 0.4.1-1pclos2021
- create pkg
